Package org.apache.wiki.ui

## Class GroupCommand

- java.lang.Object
- - org.apache.wiki.ui.AbstractCommand
  - - org.apache.wiki.ui.GroupCommand

All Implemented Interfaces:
  `Command`

    public final class GroupCommand
    extends AbstractCommand

Defines Commands for viewing, editing and deleting wiki groups. GroupCommands can be combined with GroupPrincipals to produce targeted Commands.

This class is not `final`; it may be extended in the future.

Since:
  2.4.22

### Field Summary

Fields
`static Command` `DELETE_GROUP` GroupCommand for deleting a group.
`static Command` `EDIT_GROUP` GroupCommand for editing a group.
`static Command` `VIEW_GROUP` GroupCommand for viewing a group.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Returns the name of the command, which will either be the target (if specified), or the "friendly name" for the JSP.
`java.security.Permission` `requiredPermission()` Returns the permission required to execute this GroupCommand.
`Command` `targetedCommand​(java.lang.Object target)` Creates and returns a targeted Command by combining a GroupPrincipal with this Command.

### Methods inherited from class org.apache.wiki.ui.AbstractCommand

`getContentTemplate, getJSP, getJSPFriendlyName, getRequestContext, getTarget, getURLPattern, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DELETE_GROUP

    public static final Command DELETE_GROUP

GroupCommand for deleting a group.

#### EDIT_GROUP

    public static final Command EDIT_GROUP

GroupCommand for editing a group.

#### VIEW_GROUP

    public static final Command VIEW_GROUP

GroupCommand for viewing a group.

### Method Detail

#### targetedCommand

    public Command targetedCommand​(java.lang.Object target)

Creates and returns a targeted Command by combining a GroupPrincipal with this Command. The supplied `target` object must be non-`null` and of type GroupPrincipal. If the target is not of the correct type, this method throws an `IllegalArgumentException`.

Specified by:
  `targetedCommand` in interface `Command`
Specified by:
  `targetedCommand` in class `AbstractCommand`
Parameters:
  `target` - the GroupPrincipal to combine into the current Command
Returns:
  the new, targeted command
See Also:
  `Command.targetedCommand(Object)`

#### getName

    public java.lang.String getName()

Returns the name of the command, which will either be the target (if specified), or the "friendly name" for the JSP.

Specified by:
  `getName` in interface `Command`
Specified by:
  `getName` in class `AbstractCommand`
Returns:
  the name
See Also:
  `Command.getName()`

#### requiredPermission

    public java.security.Permission requiredPermission()

Returns the permission required to execute this GroupCommand.

Returns:
  the permission
See Also:
  `Command.requiredPermission()`